import { Brush } from "igniteui-react-core";
import { XYChart } from "./XYChart";
import { DomWrapper } from "igniteui-react-core";
import { EventArgs, IList, Type } from "igniteui-react-core";
import { IZoomSlider } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { DataSeriesType } from "igniteui-react-core";
import { IDataSeriesAdapterRule } from "igniteui-react-core";
import { XamDataChart } from "./XamDataChart";
import { DomainType } from "./DomainType";
import { FinancialChartVolumeType } from "./FinancialChartVolumeType";
import { FinancialChartXAxisMode } from "./FinancialChartXAxisMode";
import { FinancialChartYAxisMode } from "./FinancialChartYAxisMode";
import { FinancialChartType } from "./FinancialChartType";
import { HorizontalAlignment } from "igniteui-react-core";
import { FinancialIndicatorTypeCollection } from "./FinancialIndicatorTypeCollection";
import { FinancialOverlayTypeCollection } from "./FinancialOverlayTypeCollection";
import { FinancialChartZoomSliderType } from "./FinancialChartZoomSliderType";
import { BrushCollection } from "igniteui-react-core";
import { IndicatorDisplayTypeCollection } from "./IndicatorDisplayTypeCollection";
import { FinancialChartRangeSelectorOptionCollection } from "./FinancialChartRangeSelectorOptionCollection";
import { CustomIndicatorNameCollection } from "./CustomIndicatorNameCollection";
import { IChartLegend } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { TemplatedHtmlControl } from "./TemplatedHtmlControl";
import { FinancialChartContext } from "./FinancialChartContext";
import { FinancialChartToolbarContext } from "./FinancialChartToolbarContext";
import { FinancialChartToolbarViewModel } from "./FinancialChartToolbarViewModel";
import { Series } from "./Series";
import { Axis } from "./Axis";
import { DataSeries } from "igniteui-react-core";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { MarkerType } from "./MarkerType";
import { IZoomableCategoryAxis } from "./IZoomableCategoryAxis";
import { TitleSettings } from "./TitleSettings";
import { FinancialChartCustomIndicatorArgs } from "./FinancialChartCustomIndicatorArgs";
import { FinancialChartTypePicker } from "./FinancialChartTypePicker";
import { FinancialChartIndicatorMenu } from "./FinancialChartIndicatorMenu";
import { TrendLineType } from "igniteui-react-core";
import { FinancialChartToolbarVisualData } from "./FinancialChartToolbarVisualData";
import { FinancialChartRangeSelectorViewModel } from "./FinancialChartRangeSelectorViewModel";
import { FinancialChartRangeSelectorVisualData } from "./FinancialChartRangeSelectorVisualData";
/**
 * @hidden
 */
export declare class FinancialChart extends XYChart {
    static $t: Type;
    protected vj(a: string, b: any, c: any): void;
    private aoj;
    private aoi;
    private aof;
    private aos;
    private ahx;
    provideGrid(a: DomWrapper): void;
    onDocumentClick(a: Event): void;
    private akv;
    private akt;
    private akq;
    private aks;
    private aku;
    private akr;
    getContext(): FinancialChartContext;
    provideContainer(a: any): void;
    private ao3;
    private aph;
    private anz;
    private apf;
    setGridRows(): void;
    protected ur(): void;
    private aoz;
    private ao0;
    private ao9;
    private any;
    private aop;
    protected uo(a: XamDataChart): void;
    private apk;
    private apn;
    private apl;
    private apm;
    aj7(): number;
    u0(source_: any, a: number, b: any): void;
    u1(source_: any, a: number, b: any): void;
    uz(source_: any): void;
    u3(source_: any, a: number, b: any, c: any): void;
    protected uu(a: Series, b: number): void;
    private ag3;
    private get ag4();
    private set ag4(value);
    private ald;
    get alk(): any;
    set alk(a: any);
    private ale;
    get all(): any;
    set all(a: any);
    private ala;
    get alh(): any;
    set alh(a: any);
    private alf;
    get alm(): any;
    set alm(a: any);
    private alg;
    get aln(): any;
    set aln(a: any);
    private alb;
    get ali(): any;
    set ali(a: any);
    private alc;
    get alj(): any;
    set alj(a: any);
    private ail;
    get aim(): IZoomSlider;
    set aim(a: IZoomSlider);
    protected get_js(): number;
    protected set_js(a: number): void;
    protected get_g0(): boolean;
    protected set_g0(a: boolean): void;
    private ajv;
    get akc(): number;
    set akc(a: number);
    constructor();
    protected y8(): Axis;
    protected y9(): Axis;
    onAttachedToUI(): void;
    onDetachedFromUI(): void;
    protected bi(a: DataSeries): DataSeriesType;
    protected get_hs(): List$1<DataSeriesType>;
    protected get hs(): List$1<DataSeriesType>;
    protected get_hr(): List$1<IDataSeriesAdapterRule>;
    protected get hr(): List$1<IDataSeriesAdapterRule>;
    private agq;
    private ah4;
    private agp;
    protected t3(): void;
    protected tx(a: Series, b: number): void;
    protected cz(a: Series): MarkerType;
    protected v2(a: DataSeries): void;
    protected v5(): void;
    private ag8;
    private ag7;
    private ahh;
    private aha;
    private alw;
    private agr;
    private ah5;
    private aib;
    private aic;
    private aia;
    private aid;
    private get aiu();
    private ahr;
    private get ahs();
    private get aix();
    private ahp;
    private get ahq();
    private get aiv();
    private aht;
    private get ahu();
    private get aiw();
    private ahy;
    private get ahz();
    protected da(a: DataSeries, b: DataSeriesType): Series;
    protected v4(): void;
    protected aek(a: (arg1: Axis) => void, b: string): void;
    protected aep(a: (arg1: Axis) => void, b: boolean): void;
    protected aor(a: (arg1: IZoomableCategoryAxis) => void): void;
    protected aen(a: (arg1: TitleSettings) => void): void;
    protected aes(a: (arg1: TitleSettings) => void): void;
    protected aeq(a: (arg1: AxisLabelSettings) => void): void;
    protected ael(a: (arg1: AxisLabelSettings) => void): void;
    protected un(a: XamDataChart): void;
    private static ak8;
    private alo;
    private amr;
    private an9;
    private anv;
    private anw;
    private an1;
    private an4;
    private an2;
    private an3;
    private an5;
    private ak2;
    protected ud(a: (arg1: Series, arg2: number) => void): void;
    private aih;
    private get volumeChart();
    private set volumeChart(value);
    private aou;
    private aiy;
    private ai2;
    private aiz;
    private ai1;
    private aot;
    private aie;
    private aig;
    private apb;
    lp(): any;
    alt(): string;
    private aif;
    private apa;
    private ai7;
    private ao8;
    protected uk(): void;
    protected get_g7(): boolean;
    protected get ajd(): boolean;
    private apg;
    private aov;
    protected u8(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    private an7;
    private ao4;
    private get ajc();
    private an8;
    private ai3;
    private aoy;
    private aoc;
    private aoh;
    private aog;
    private aoa;
    private aob;
    private aol;
    private aoo;
    private aom;
    private anx;
    private ao2;
    private ape;
    private aod;
    private apc;
    private ai6;
    private aok;
    private an6;
    private ao6;
    private ao5;
    private aox;
    private aoe;
    private aje;
    private apd;
    private an0;
    private ao7;
    protected wa(a: Series, b: Series, c: DataSeries): void;
    private alv;
    protected aef(a: Axis): void;
    protected aeh(a: Axis): void;
    private aon;
    protected us(a: Series, b: number): void;
    protected ut(a: Series, b: number): void;
    protected vf(a: string, b: any, c: any): void;
    protected get_b9(): DomainType;
    get b9(): DomainType;
    private ait;
    get ajb(): boolean;
    set ajb(a: boolean);
    private ak1;
    get ak9(): number;
    set ak9(a: number);
    private aj2;
    get akl(): number;
    set akl(a: number);
    private aj4;
    get akn(): number;
    set akn(a: number);
    private aj3;
    get akm(): number;
    set akm(a: number);
    private aj5;
    get ako(): number;
    set ako(a: number);
    get akk(): number;
    get akj(): number;
    private ag9;
    get ahb(): FinancialChartVolumeType;
    set ahb(a: FinancialChartVolumeType);
    private ahc;
    get ahd(): FinancialChartXAxisMode;
    set ahd(a: FinancialChartXAxisMode);
    private ajx;
    get ake(): number;
    set ake(a: number);
    private aj0;
    get akh(): number;
    set akh(a: number);
    private ajy;
    get akf(): number;
    set akf(a: number);
    private ajz;
    get akg(): number;
    set akg(a: number);
    private aj1;
    get aki(): number;
    set aki(a: number);
    private ahe;
    get ahf(): FinancialChartYAxisMode;
    set ahf(a: FinancialChartYAxisMode);
    private aio;
    get ai4(): boolean;
    set ai4(a: boolean);
    private ag5;
    get ag6(): FinancialChartType;
    set ag6(a: FinancialChartType);
    protected get_aey(): HorizontalAlignment;
    protected set_aey(a: HorizontalAlignment): void;
    private aip;
    get ai5(): boolean;
    set ai5(a: boolean);
    private ahj;
    get ahk(): FinancialIndicatorTypeCollection;
    set ahk(a: FinancialIndicatorTypeCollection);
    private ahl;
    get ahm(): FinancialOverlayTypeCollection;
    set ahm(a: FinancialOverlayTypeCollection);
    private ajg;
    private get indicatorCharts();
    private set indicatorCharts(value);
    private air;
    get ai9(): boolean;
    set ai9(a: boolean);
    protected get_j0(): number;
    protected set_j0(a: number): void;
    private static readonly am4;
    private aiq;
    get ai8(): boolean;
    set ai8(a: boolean);
    private static readonly anf;
    private ais;
    get aja(): boolean;
    set aja(a: boolean);
    private aii;
    get zoomSliderChart(): XamDataChart;
    set zoomSliderChart(a: XamDataChart);
    private ah3;
    private get zoomSliderAxis();
    private set zoomSliderAxis(value);
    private ago;
    private get zoomSliderXAxis();
    private set zoomSliderXAxis(value);
    private ahg;
    get ahi(): FinancialChartZoomSliderType;
    set ahi(a: FinancialChartZoomSliderType);
    private af7;
    get agf(): BrushCollection;
    set agf(a: BrushCollection);
    private af8;
    get agg(): BrushCollection;
    set agg(a: BrushCollection);
    private af9;
    get agh(): BrushCollection;
    set agh(a: BrushCollection);
    private aga;
    get agi(): BrushCollection;
    set agi(a: BrushCollection);
    private agc;
    get agk(): BrushCollection;
    set agk(a: BrushCollection);
    private agb;
    get agj(): BrushCollection;
    set agj(a: BrushCollection);
    private af6;
    get age(): BrushCollection;
    set age(a: BrushCollection);
    private af5;
    get agd(): BrushCollection;
    set agd(a: BrushCollection);
    private ajw;
    get akd(): number;
    set akd(a: number);
    private aju;
    get akb(): number;
    set akb(a: number);
    private ajt;
    get aka(): number;
    set aka(a: number);
    private ajs;
    get aj9(): number;
    set aj9(a: number);
    private ahv;
    get ahw(): IndicatorDisplayTypeCollection;
    set ahw(a: IndicatorDisplayTypeCollection);
    private akx;
    get ak4(): number;
    set ak4(a: number);
    private ajr;
    get aj8(): number;
    set aj8(a: number);
    private ak0;
    get ak7(): number;
    set ak7(a: number);
    private aky;
    get ak5(): number;
    set ak5(a: number);
    private akw;
    get ak3(): number;
    set ak3(a: number);
    private akz;
    get ak6(): number;
    set ak6(a: number);
    private ag0;
    get ag2(): FinancialChartRangeSelectorOptionCollection;
    set ag2(a: FinancialChartRangeSelectorOptionCollection);
    ag1: FinancialChartRangeSelectorOptionCollection;
    private agw;
    get customIndicatorNames(): CustomIndicatorNameCollection;
    set customIndicatorNames(a: CustomIndicatorNameCollection);
    applyCustomIndicators: (sender: any, e: FinancialChartCustomIndicatorArgs) => void;
    protected get_g8(): boolean;
    protected set_g8(a: boolean): void;
    private api;
    get apj(): Brush;
    set apj(a: Brush);
    private aj6;
    get akp(): number;
    set akp(a: number);
    private ain;
    get ai0(): boolean;
    set ai0(a: boolean);
    private ahn;
    get aho(): IChartLegend;
    set aho(a: IChartLegend);
    private agn;
    private get xAxis();
    private set xAxis(value);
    private ah2;
    private get yAxis();
    private set yAxis(value);
    private ah1;
    private get volumeAxis();
    private set volumeAxis(value);
    private agm;
    private get volumeXAxis();
    private set volumeXAxis(value);
    private ah0;
    private get indicatorAxis();
    private set indicatorAxis(value);
    private agl;
    private get indicatorXAxis();
    private set indicatorXAxis(value);
    private ajf;
    private get aji();
    private set aji(value);
    private ajh;
    private get ajk();
    private set ajk(value);
    private ajo;
    get ajq(): Date;
    set ajq(a: Date);
    private ajn;
    get ajp(): Date;
    set ajp(a: Date);
    private ajl;
    get xAxisBreaks(): ObservableCollection$1<any>;
}
/**
 * @hidden
 */
export declare class FinancialChartToolbar extends TemplatedHtmlControl {
    static $t: Type;
    bg(a: DomWrapper): void;
    bl(a: Event): void;
    private o;
    constructor(a: FinancialChart, b: any);
    private r;
    get s(): FinancialChartRangeSelector;
    set s(a: FinancialChartRangeSelector);
    private z;
    get aa(): FinancialChartTypePicker;
    set aa(a: FinancialChartTypePicker);
    private p;
    get q(): FinancialChartIndicatorMenu;
    set q(a: FinancialChartIndicatorMenu);
    private bm;
    private bh;
    private bi;
    private bj;
    w: FinancialChartToolbarViewModel;
    v(): FinancialChartToolbarContext;
    l(a: any): void;
    private bk;
    private aq;
    get au(): Date;
    set au(a: Date);
    private ap;
    get at(): Date;
    set at(a: Date);
    private ao;
    get as(): Date;
    set as(a: Date);
    private an;
    get ar(): Date;
    set ar(a: Date);
    rangeChanged: (sender: any, e: EventArgs) => void;
    chartTypeChanged: (sender: any, e: EventArgs) => void;
    trendLineTypeChanged: (sender: any, e: EventArgs) => void;
    volumeTypeChanged: (sender: any, e: EventArgs) => void;
    indicatorTypesChanged: (sender: any, e: EventArgs) => void;
    overlayTypesChanged: (sender: any, e: EventArgs) => void;
    bn(): void;
    private x;
    get y(): FinancialChartType;
    set y(a: FinancialChartType);
    private ah;
    get ai(): TrendLineType;
    set ai(a: TrendLineType);
    private ab;
    get ac(): FinancialChartVolumeType;
    set ac(a: FinancialChartVolumeType);
    private ad;
    get ae(): FinancialIndicatorTypeCollection;
    set ae(a: FinancialIndicatorTypeCollection);
    private af;
    get ag(): FinancialOverlayTypeCollection;
    set ag(a: FinancialOverlayTypeCollection);
    static am(a: IList, b: IList): boolean;
    aj(): FinancialChartToolbarVisualData;
    private t;
    get u(): FinancialChartRangeSelectorOptionCollection;
    set u(a: FinancialChartRangeSelectorOptionCollection);
    private ak;
    get al(): boolean;
    set al(a: boolean);
}
/**
 * @hidden
 */
export declare class FinancialChartRangeSelector extends TemplatedHtmlControl {
    static $t: Type;
    private static x;
    q: FinancialChartRangeSelectorViewModel;
    get v(): Date;
    set v(a: Date);
    get u(): Date;
    set u(a: Date);
    get t(): Date;
    set t(a: Date);
    get s(): Date;
    set s(a: Date);
    ab(): void;
    constructor(a: any);
    l(a: any): void;
    private z;
    rangeChanged: (sender: any, e: EventArgs) => void;
    r(): FinancialChartRangeSelectorVisualData;
    get o(): FinancialChartRangeSelectorOptionCollection;
    set o(a: FinancialChartRangeSelectorOptionCollection);
    private aa;
    private p;
}
